/*
 * Psych0's header for
 *  program standardizing names and version numbers
 *
 * todo:
 * - add *NIX and VAX/VMS styles
 * - verify Amiga, Win'95, and /NT styles
 *
 */

/* standardize name */

#if defined(OS2)
#define PROG_NAME            PROG_BASENAME "/2"
#elif defined(AMIGA)
#define PROG_NAME            "Ami" PROG_BASENAME
#elif defined(WIN95)
#define PROG_NAME            PROG_BASENAME "95"
#elif defined(WINNT)
#define PROG_NAME            PROG_BASENAME "/NT"
#else
#define PROG_NAME            PROG_BASENAME
#endif

/* standardize version number */

#if defined(ALPHA)
#define PROG_VER             PROG_BASEVER ""     /* "0.5.1" or "2.63" */
#elif defined(BETA)
#define PROG_VER             PROG_BASEVER ""     /* "0.5.1" or "2.63" */
#else
#define PROG_VER             PROG_BASEVER         /* "0.5.1"  or "2.63" */
#endif


/* end of file "NAME.H" */
